Latest Posts

Topic: Installation Funktionniert nicht

TickeHD
Avatar
Joined: 2018-08-05, 22:21
Posts: 11
Ranking
Pry about Widelands
Posted at: 2018-08-06, 18:02

Guten Abend! Wir wollen nachher eine Party spielen, auf einem PC ist Linux Mint 17 Installiert! Wir haben die Befehle die auf der Download seite sind eingegeben aber es lässt sich nicht installieren. Es funktionnieren nur die Links die Unten stehen, jedoch bekommt man da die bzr version. Wir wollen aber die build 19 spielen. Mit folgenden Befehlen habe ich es versucht zu installieren:

sudo add-apt-repository ppa:widelands-dev/widelands sudo apt-get update

gibt es eine andere möglichkeit Widelands zu installieren?

Edit: Ich habe jetzt eine tar datei von der build 19 herruntergeladen, wie installiert man die? Konnte im Internet nix finden

Edited: 2018-08-06, 18:23
Top Quote
kaputtnik
Avatar
Joined: 2013-02-18, 20:48
Posts: 1523
Ranking
One Elder of Players
Location: Germany
Posted at: 2018-08-06, 18:32

Mit diesen Befehlen installierst Du die development version, nicht build 19.

Build 19 sollte ganz normal über die Paketverwaltung installiert werden können, also:

sudo apt-get install widelands

Hier noch ein link, weiß aber nicht welche Version da aktuell installiert wird: https://community.linuxmint.com/software/view/widelands


Top Quote
WorldSavior
Avatar
Joined: 2016-10-15, 04:10
Posts: 795
Ranking
One Elder of Players
Location: GER
Posted at: 2018-08-06, 19:09

kaputtnik wrote:

Mit diesen Befehlen installierst Du die development version, nicht build 19.

Sicher? Bei mir ist es build 19.

Build 19 sollte ganz normal über die Paketverwaltung installiert werden können, also:

~~~~ sudo apt-get install widelands ~~~~

Das würde bei mir build18 installieren.

@TickeHD: Eventuell muss man vor der Einrichtung der neuen ppa alle alten Widelands-ppas entfernen, bevor man updated. Und wenn das Spiel nicht installiert werden kann, kann das auch daran liegen, dass andere Versionen von ihm noch installiert sind, vielleicht helfen also vor der Installation die Kommandos

sudo apt-get remove widelands

und

sudo apt-get autoremove

?


“It's a threat to our planet to believe that someone else will save it.” - Robert Swan

Top Quote
WorldSavior
Avatar
Joined: 2016-10-15, 04:10
Posts: 795
Ranking
One Elder of Players
Location: GER
Posted at: 2018-08-06, 19:14

Ach übrigens, mit build19 kann man sich grade nicht in die Multiplayer-Lobby einloggen - aber vielleicht über "Lan/Direkte IP" spielen.


“It's a threat to our planet to believe that someone else will save it.” - Robert Swan

Top Quote
kaputtnik
Avatar
Joined: 2013-02-18, 20:48
Posts: 1523
Ranking
One Elder of Players
Location: Germany
Posted at: 2018-08-06, 19:30

WorldSavior wrote:

kaputtnik wrote:

Mit diesen Befehlen installierst Du die development version, nicht build 19.

Sicher? Bei mir ist es build 19.

Korrekt face-smile.png

/widelands-daily ist developement version. Sorry TickeHD, für diese Falschinformation ....


Top Quote
TickeHD
Avatar
Joined: 2018-08-05, 22:21
Posts: 11
Ranking
Pry about Widelands
Posted at: 2018-08-06, 21:17

Wir Spielen nur über IP


Top Quote
TickeHD
Avatar
Joined: 2018-08-05, 22:21
Posts: 11
Ranking
Pry about Widelands
Posted at: 2018-08-06, 21:20

Ich habe Widelands per Anwendungsverwaltung Deinstalliert und die Befehle ausgeführt und es wurde die bzr version installiert. (und die Preview Funktion funzt grad ned)

Edited: 2018-08-06, 21:21
Top Quote
GunChleoc
Avatar
Joined: 2013-10-07, 15:56
Posts: 2623
Ranking
One Elder of Players
Location: RenderedRect
Posted at: 2018-08-07, 15:11

Zuerst alte Version deinstallieren:

sudo apt-get remove widelands
sudo apt-get autoremove

Dann daily PPA entfernen:

sudo add-apt-repository --remove ppa:widelands-dev/widelands-daily

Dann Release repository nehmen und Widelands installieren:

sudo add-apt-repository ppa:widelands-dev/widelands
sudo apt-get update
sudo apt-get install widelands

https://wl.widelands.org/wiki/Download/#debianubuntu

Falls das Euch Version 18 liefern sollte, hilft nur selber kompilieren, das geht von der Tarball. Dazu braucht Ihr dann erstmal die Paketabhängigkeiten:

sudo apt install bzr cmake g++ gcc gettext libboost-dev libboost-regex-dev libboost-test-dev libglew-dev libpng-dev libsdl2-dev libsdl2-image-dev libsdl2-mixer-dev libsdl2-net-dev libsdl2-ttf-dev python zlib1g-dev 

Und dann vom Widelands-Verzeichnis aus:

./compile.sh -r -w

Das gibt Euch einen Release Build ohne dan Kram für unsere Webseite, den braucht ihr nicht.

https://wl.widelands.org/wiki/BuildingWidelands

Edited: 2018-08-07, 15:11

Busy indexing nil values

Top Quote
TickeHD
Avatar
Joined: 2018-08-05, 22:21
Posts: 11
Ranking
Pry about Widelands
Posted at: 2018-08-09, 20:04

Erstmal Danke für deine Hilfe! Trotzdem bekomme ich nach ausführen der Befehle nur die bzr version. Bei dem Befehl um die PPA zu entfernen kam folgender fehler: error: no such option remove. Es ist sehr unübersichtlich, es ist natürlich toll, dass man hier schnelle und gute Hilfe bekommt, dennoch bitte ich um Verbesserung. Schade, so konnte die Person nicht mitspielen!


Top Quote
kaputtnik
Avatar
Joined: 2013-02-18, 20:48
Posts: 1523
Ranking
One Elder of Players
Location: Germany
Posted at: 2018-08-09, 22:07

Wir tun unser bestes um alle zu unterstützen. Leider kennen wir nicht alle Kommandos für Ubuntu, Fedora, Archlinux, windows7, windows10 usw. im Detail.

Schade, so konnte die Person nicht mitspielen!

Ja, schade. Evtll sollte die Person sich etwas mit seinem Betriebssystem beschäftigen. Wir haben einfach nicht die Ressourcen um alles wissen zu können face-sad.png


Top Quote